.autocomplete {
    position: relative;
}

.autocomplete-list {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    font-size: larger;
    color: rgb(31, 1, 58);
    background: white;
    border: 1px solid #ccc;
    border-radius: 6px;
    max-height: 200px;
    overflow-y: auto;
    display: none;
    z-index: 100;
}

.autocomplete-list.visible {
    display: block;
}

.autocomplete-item {
    padding: 10px;
    cursor: pointer;
}

.autocomplete-item:hover {
    background: #f0f0ff;
}


.items-editor {
    display: flex;
    flex-direction: column;
}

.input-dosage {
    display: none;
}

.input-dosage.active {
    display: flex;
}

.list-format-dosage {
    font-size: larger;
}

.label-input-dosage {
    font-size: x-large;
    margin-left: 4px;
}

.item-format-dosage {
    font-size: x-large;
    cursor: pointer;
    border: 1px solid;
    padding: 8px;
    margin-bottom: 2px;
}

.item-format-dosage:hover {
    background-color: blue;
}

.item-format-dosage:active {
    color: white;
}

.unit-dosage {
    display: none;
}

.unit-dosage.active {
    display: flex;
    align-items: baseline;
}

.label-input-dosage {
    width: min-content;
    text-wrap-mode: nowrap;
}

#input-unit-dosage {
    margin-top: 8px;
    margin-left: 8px;
    width: 60px;
    text-align: center;
}

.editor-time {
    display: none;
}

.editor-time.active {
    min-height: 60px;
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 16px;
}

.label-editor-time {
    font-size: x-large;
}

#editor-time-hours {
    width: 40px;
    text-align: center;
}

#editor-time-minutes {
    width: 40px;
    text-align: center;
}

.cont-button-right {
    display: flex;
    width: 100dvw;
    justify-content: end;
}

.button-save-shedule {
    margin-top: 8px;
    margin-left: auto;
    margin-right: 24px;
    font-size: large;
    width: max-content;
    border: 2px solid;
    border-radius: 8px;
    background-color: green;
    color: rgb(145, 144, 101);
    padding: 8px;
}

.button-save-shedule.active {
    background-color: rgb(2, 163, 2);
    color: #f0f0ff;
    box-shadow: 2px 2px 5px black;
    cursor: pointer;
}

.shedules-title {
    padding: 16px;
    font-size: x-large;
}

.list-shedules {
    display: flex;
    flex-direction: column;
}

#title-add-shedule {
    font-size: large;
}

.li-item-shedules {
    margin: 8px;
    padding: 8px;
    display: flex;
    gap: 16px;
    border: 1px solid;
    align-items: center;
}

.button-delete-shedule {
    padding: 4px;
    margin-left: auto;
    margin-right: 4px;
    border: 1px solid;
    background-color: rgb(141, 27, 27);
    color: yellow;
    width: 20px;
}